Error message upon installing 7.4.8

Posted on
Wed Jan 20, 2021 11:14 pm
mundmc offline
User avatar
Posts: 792
Joined: Sep 14, 2012

Error message upon installing 7.4.8

Not sure if I should post this here or on github. Upon installing the latest update, I get this message every several seconds:
Code: Select all
Roku Network Remote Error Error executing effect for device id 1527675311 Traceback (most recent call last): File "/Library/Application Support/Perceptive Automation/Indigo 7.4/Plugins/Roku Network Remote.indigoPlugin/Contents/Server Plugin/RPFramework/RPFrameworkDeviceResponse.py", line 179, in executeEffects eval(u'rpDevice.' + effect.updateParam + u'(responseObj, rpCommand)') File "<string>", line 1, in <module> File "/Library/Application Support/Perceptive Automation/Indigo 7.4/Plugins/Roku Network Remote.indigoPlugin/Contents/Server Plugin/rokuNetworkRemoteDevice.py", line 264, in updateDeviceStatusInfo channelNumber = deviceInfoDoc.find("channel").find("number").text AttributeError: 'NoneType' object has no attribute 'text'


Very much appreciate your many Indigo contributions!

Posted on
Thu Jan 21, 2021 12:37 pm
justlen offline
Posts: 57
Joined: May 05, 2005

Re: Error message upon installing 7.4.8

I too am getting the same error. The plugin does appear to be working, however.

Code: Select all
Roku Network Remote Error       Error executing effect for device id 812584718
Traceback (most recent call last):
  File "/Library/Application Support/Perceptive Automation/Indigo 7.5/Plugins/Roku Network Remote.indigoPlugin/Contents/Server Plugin/RPFramework/RPFrameworkDeviceResponse.py", line 179, in executeEffects
    eval(u'rpDevice.' + effect.updateParam + u'(responseObj, rpCommand)')
  File "<string>", line 1, in <module>
  File "/Library/Application Support/Perceptive Automation/Indigo 7.5/Plugins/Roku Network Remote.indigoPlugin/Contents/Server Plugin/rokuNetworkRemoteDevice.py", line 264, in updateDeviceStatusInfo
    channelNumber = deviceInfoDoc.find("channel").find("number").text
AttributeError: 'NoneType' object has no attribute 'text'

Posted on
Thu Jan 21, 2021 8:52 pm
RogueProeliator offline
User avatar
Posts: 2407
Joined: Nov 13, 2012
Location: Baton Rouge, LA

Re: Error message upon installing 7.4.8

Sorry guys, I should be able to fix that up tonight -- those are part of some new states that I added that are only used for Roku TV devices. I tested this on my non-Roku TV and two Roku TVs, but it appears you guys have devices where the return isn't including that info. I will code it up to ignore the state if it isn't present -- which I should have done anyway.

This is technically a trapped error, just seeing the output from me logging it (that's why control should still be working). Anyhow, I'll get you a new version up to suppress the errors.

Adam

Posted on
Fri Jan 22, 2021 9:10 am
mundmc offline
User avatar
Posts: 792
Joined: Sep 14, 2012

Re: Error message upon installing 7.4.8

Awesome and thank you!
I should have included that this is a TV with built-in Roku functionality; I only use it for the IP control of the TV's On/Off and VOlume functions

Posted on
Fri Jan 22, 2021 11:19 am
justlen offline
Posts: 57
Joined: May 05, 2005

Re: Error message upon installing 7.4.8

Wow, thanks for the quick reply.

I've been doing some fun things with my elCheapo TCL/Roku TV. It normally displays a GeoChron clock, but if there is a NWS alert it kicks over to weather information.

Posted on
Fri Jan 22, 2021 12:44 pm
RogueProeliator offline
User avatar
Posts: 2407
Joined: Nov 13, 2012
Location: Baton Rouge, LA

Re: Error message upon installing 7.4.8

I should have included that this is a TV with built-in Roku functionality; I only use it for the IP control of the TV's On/Off and VOlume functions

Yeah, this is a state that only loads for TVs.. I think perhaps what is happening is that you two both have TVs that get in a state other than mine (different settings, input, configuration, something) so where mine always returned a value via the API, you guys are getting an empty result. No big deal, just didn't know that could come back in that manner.

I've been doing some fun things with my elCheapo TCL/Roku TV

Cool - that is what I use for the TVs that are potentially exposed to some weather (mostly humidity) on the screened porch and in shop. Honestly I am decently happy with them, especially for the price.

If you guys don't mind, try this beta version which attempts to address the issue you are seeing:
https://github.com/RogueProeliator/IndigoPlugins-Roku-Network-Remote/releases/tag/v2.4.9-beta
Direct Download

If all looks good I will release that to the plugin store.

Adam

Posted on
Fri Jan 22, 2021 3:52 pm
whmoorejr offline
User avatar
Posts: 495
Joined: Jan 15, 2013
Location: Houston, TX

Re: Error message upon installing 7.4.8

I'm still getting the same error. I think I downloaded the updated beta one.... but the info.plist still shows 2.4.8.
Here is the error message I'm getting...
Code: Select all
   Roku Network Remote Error       Error executing effect for device id 398247524
Traceback (most recent call last):
  File "/Library/Application Support/Perceptive Automation/Indigo 7.5/Plugins/Roku Network Remote.indigoPlugin/Contents/Server Plugin/RPFramework/RPFrameworkDeviceResponse.py", line 179, in executeEffects
    eval(u'rpDevice.' + effect.updateParam + u'(responseObj, rpCommand)')
  File "<string>", line 1, in <module>
  File "/Library/Application Support/Perceptive Automation/Indigo 7.5/Plugins/Roku Network Remote.indigoPlugin/Contents/Server Plugin/rokuNetworkRemoteDevice.py", line 264, in updateDeviceStatusInfo
    channelNumber = deviceInfoDoc.find("channel").find("number").text
AttributeError: 'NoneType' object has no attribute 'text'
<-- I get that x4 TVs about every 3 seconds.

Bill
My Plugin: My People

Posted on
Fri Jan 22, 2021 3:58 pm
whmoorejr offline
User avatar
Posts: 495
Joined: Jan 15, 2013
Location: Houston, TX

Re: Error message upon installing 7.4.8

justlen wrote:
... GeoChron clock, but if there is a NWS alert it kicks over to weather information.
<-- How do you have that set up? The one in my office has a CCTV NVR on HDMI1, my Indigo Server on HDMI2 and a RPI running domopad on HDMI3. After resizing some control pages for the TCL screen, the domopad is my preferred standard backdrop.... But I really like the clock idea.

Bill
My Plugin: My People

Posted on
Fri Jan 22, 2021 4:26 pm
RogueProeliator offline
User avatar
Posts: 2407
Joined: Nov 13, 2012
Location: Baton Rouge, LA

Re: Error message upon installing 7.4.8

I'm still getting the same error. I think I downloaded the updated beta one.... but the info.plist still shows 2.4.8.
Here is the error message I'm getting...

I think that is what I get trying to do this from work computer... looks like I fudged up that ZIP download. I've since replaced it, and it is available from the releases page again or this direct URL:

https://github.com/RogueProeliator/IndigoPlugins-Roku-Network-Remote/releases/download/v2.4.9-beta/Roku.Network.Remote.indigoPlugin.zip

It most definitely should show .9 once updated. My apologies for that.

Posted on
Fri Jan 22, 2021 4:58 pm
justlen offline
Posts: 57
Joined: May 05, 2005

Re: Error message upon installing 7.4.8

<-- How do you have that set up? The one in my office has a CCTV NVR on HDMI1, my Indigo Server on HDMI2 and a RPI running domopad on HDMI3. After resizing some control pages for the TCL screen, the domopad is my preferred standard backdrop.... But I really like the clock idea.


Similar setup. I have a Geochron Atlas on HDMI 1, An Action Group kicks it over to HDMI 2 connected to my Mini and AppleScripts throw up a full screen page with the alert. I would do it all in Indigo but they dropped AppleScript support, which for me killed a lot of the reasons why I use Indigo in the first place.

I know there are Pi based clocks that are similar to the Geochron.

Posted on
Fri Jan 22, 2021 5:06 pm
justlen offline
Posts: 57
Joined: May 05, 2005

Re: Error message upon installing 7.4.8

I think that is what I get trying to do this from work computer... looks like I fudged up that ZIP download. I've since replaced it, and it is available from the releases page again or this direct URL:

https://github.com/RogueProeliator/Indi ... Plugin.zip

It most definitely should show .9 once updated. My apologies for that.


That fixed it for me, and my Action Groups to control the TV work just dandy. Thanks!

Screen Shot 2021-01-22 at 3.04.52 PM.png
Screen Shot 2021-01-22 at 3.04.52 PM.png (90.68 KiB) Viewed 587 times

Posted on
Fri Jan 22, 2021 6:22 pm
whmoorejr offline
User avatar
Posts: 495
Joined: Jan 15, 2013
Location: Houston, TX

Re: Error message upon installing 7.4.8

RogueProeliator wrote:
I've since replaced it, and it is available from the releases page
:D I haven't tested everything the plugin can do, but all my stuff (on/off, input) are all working and no error messages.

justlen wrote:
Switch TV to BBC
Sounds like there is still something screwy going on. :lol:

Bill
My Plugin: My People

Page 1 of 1

Who is online

Users browsing this forum: No registered users and 1 guest